1. customers
Google Workspace Reseller API
  • customers
    • /apps/reseller/v1/customers
      POST
    • /apps/reseller/v1/customers/{customerId}
      GET
    • /apps/reseller/v1/customers/{customerId}
      PATCH
    • /apps/reseller/v1/customers/{customerId}
      PUT
  • subscriptions
    • /apps/reseller/v1/customers/{customerId}/subscriptions
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      DELETE
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      GET
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend
      POST
    • /apps/reseller/v1/subscriptions
      GET
  • resellernotify
    • /apps/reseller/v1/resellernotify/getwatchdetails
      GET
    • /apps/reseller/v1/resellernotify/register
      POST
    • /apps/reseller/v1/resellernotify/unregister
      POST
  • Schemas
    • Schemas
      • Address
      • ChangePlanRequest
      • Customer
      • PrimaryAdmin
      • RenewalSettings
      • ResellernotifyGetwatchdetailsResponse
      • ResellernotifyResource
      • Seats
      • Subscription
      • Subscriptions
  1. customers

/apps/reseller/v1/customers/{customerId}

PATCH
/apps/reseller/v1/customers/{customerId}
Updates a customer account's settings. This method supports patch semantics. You cannot update customerType via the Reseller API, but a "team" customer can verify their domain and become customerType = "domain". For more information, see Verify your domain to unlock Essentials features.

Request

Path Params

Body Params application/json

Examples

Responses

🟢200Successful response
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://reseller.googleapis.com//apps/reseller/v1/customers/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "alternateEmail": "string",
    "customerDomain": "string",
    "customerDomainVerified": true,
    "customerId": "string",
    "customerType": "customerTypeUnspecified",
    "kind": "reseller#customer",
    "phoneNumber": "string",
    "postalAddress": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "contactName": "string",
        "countryCode": "string",
        "kind": "customers#address",
        "locality": "string",
        "organizationName": "string",
        "postalCode": "string",
        "region": "string"
    },
    "primaryAdmin": {
        "primaryEmail": "string"
    },
    "resourceUiUrl": "string"
}'
Response Response Example
{
    "alternateEmail": "string",
    "customerDomain": "string",
    "customerDomainVerified": true,
    "customerId": "string",
    "customerType": "customerTypeUnspecified",
    "kind": "reseller#customer",
    "phoneNumber": "string",
    "postalAddress": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "contactName": "string",
        "countryCode": "string",
        "kind": "customers#address",
        "locality": "string",
        "organizationName": "string",
        "postalCode": "string",
        "region": "string"
    },
    "primaryAdmin": {
        "primaryEmail": "string"
    },
    "resourceUiUrl": "string"
}
Modified at 2022-09-11 23:42:40
Previous
/apps/reseller/v1/customers/{customerId}
Next
/apps/reseller/v1/customers/{customerId}
Built with